Package org.eclipse.lemminx.extensions.contentmodel.participants

## Class ContentModelDocumentLinkParticipant

- java.lang.Object
- - org.eclipse.lemminx.extensions.contentmodel.participants.ContentModelDocumentLinkParticipant

All Implemented Interfaces:
  `IDocumentLinkParticipant`

    public class ContentModelDocumentLinkParticipant
    extends Object
    implements IDocumentLinkParticipant

Document link for :

- XML Schema xsi:noNamespaceSchemaLocation
- DTD SYSTEM (ex :
- Entity SYSTEM (ex : )
- XML Schema xsi:schemaLocation

Author:
  Angelo ZERR

### Constructor Summary

Constructors
`ContentModelDocumentLinkParticipant​(URIResolverExtensionManager resolverManager)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `findDocumentLinks​(DOMDocument document, List<org.eclipse.lsp4j.DocumentLink> links)` Find document links of the given XML document.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ContentModelDocumentLinkParticipant

    public ContentModelDocumentLinkParticipant​(URIResolverExtensionManager resolverManager)

### Method Detail

#### findDocumentLinks

    public void findDocumentLinks​(DOMDocument document,
                                  List<org.eclipse.lsp4j.DocumentLink> links)

Description copied from interface: `IDocumentLinkParticipant`
Find document links of the given XML document.

Specified by:
  `findDocumentLinks` in interface `IDocumentLinkParticipant`